# Get notification by ID

Get Notification entity by notification id.

Endpoint: GET /notifications/{notification_id}
Version: 4.0.0
Security: Bearer

## Path parameters:

  - `notification_id` (string, required)
    NotificationId

## Response 200 fields (application/json):

  - `notification_id` (string, required)
    Notification Id

  - `notification_type` (string, required)
    Context in which the notification is generated
    Enum: "HEARTBEAT_EVENT", "NEW_PEERING_EVENT", "NEW_LIQUIDITY_RELATIONSHIP_EVENT", "LOW_BALANCE_EVENT"

  - `notification_status` (string, required)
    Status of the notification
    Enum: "CREATED", "DELIVERED", "READ", "DELETED"

  - `notification_priority` (string, required)
    Priority of the notification
    Enum: "ERROR", "INFO", "WARN"

  - `created_at` (string, required)
    Date and time at which the notification was created, as an ISO-8601 timestamp in UTC.

  - `entity_type` (string, required)
    RippleNet entity for which the notification has been generated
    Enum: "QUOTE", "PAYMENT", "TRANSFER", "EXCHANGE"

  - `entity_id` (string, required)
    Entity id of the RippleNet entity for which the notification has been generated

  - `message_details` (string, required)
    Summary description of the notification

  - `source_address` (string)
    RippleNet address of the host that has created the notification

  - `destination_address` (string)
    RippleNet address of the host that needs to receive the notification

  - `notification_details` (string)
    Payload of the notification object

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


